Bug 296331 - rebuild needed against expat 2.x
Summary: rebuild needed against expat 2.x
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ogdi   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Balint Cristian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-19 13:52 UTC by Joe Orton
Modified: 2008-05-26 16:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 16:08:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-09-19 13:52:34 UTC
ogdi-3.2.0-0.5.beta1.fc7 is still built against libexpat.so.0.
It needs to be rebuilt against expat 2.x.

Comment 1 Joe Orton 2007-10-16 10:12:04 UTC
This still hasn't been done, and ogdi is one of the very few packages left now
still linked against libexpat.so.0.   Please rebuild.

Comment 2 Jon Burgess 2007-11-17 14:19:00 UTC
I think this just bit me. I had ogdi installed on f7 and when I upgraded to f8
it could no longer find libexpat.so.0. I fixed it by doing:

# rpm --erase ogdi --nodeps
# yum install ogdi.x86_64

This pulled in compat-expat1. 

It is annoying it broke on upgrade, I guess rebuilding against expat 2.x should
resolve it properly.


Comment 3 Bug Zapper 2008-04-04 13:52:20 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.


Note You need to log in before you can comment on or make changes to this bug.